<?php

/*
 * This file is used for controlling the data for the emails page
 */

NNRobots_Email_Signups_CF::createTable();

// Export data

if (isset($_GET['export_data']) && $_GET['export_data'] == 'true' && check_admin_referer(self::$prefix . 'export_data')) {

	$start_date = date(NNROBOTS_CONTENT_FIRE_DATE_FORMAT, mktime(0, 0, 0, date("m")-1, date("d"), date("Y")));
	$end_date = date(NNROBOTS_CONTENT_FIRE_DATE_FORMAT, strtotime(current_time('mysql')));

	if (isset($_GET[self::$prefix_dash . 'start-date']) && $_GET[self::$prefix_dash . 'start-date'] != '') {
		$start_date = date(NNROBOTS_CONTENT_FIRE_DATE_FORMAT, strtotime($_GET[self::$prefix_dash . 'start-date']));
	}

	if (isset($_GET[self::$prefix_dash . 'end-date']) && $_GET[self::$prefix_dash . 'end-date'] != '') {
		$end_date = date(NNROBOTS_CONTENT_FIRE_DATE_FORMAT, strtotime($_GET[self::$prefix_dash . 'end-date']));
	}

	$emails = NNRobots_Email_Signups_CF::getEmails(null, null);

	foreach ($emails as $key => $email) {
		unset($emails[$key]['id']);
		unset($emails[$key]['content_fire_id']);
	}

	$filename =  self::$prefix . 'emails.csv';
	$export_file = fopen(NNROBOTS_CONTENT_FIRE_PLUGIN_DIR . 'exports/' . $filename, "w");
	fputcsv($export_file, array('Date', 'Email', 'First Name', 'Last Name'));

	foreach (array_reverse($emails) as $email) {
	    fputcsv($export_file, $email);
	}

	fclose($export_file);

	?>
	<script type="text/javascript">
		window.location = '<?php echo NNROBOTS_CONTENT_FIRE_PLUGIN_URL . '/exports/download.php?filename=' . $filename; ?>';
	</script>
	<?php
}

require(NNROBOTS_CONTENT_FIRE_PLUGIN_DIR . 'admin/views/emails.php');